javax.visrec.ml.classification

## Class ClassifierBuilder

- java.lang.Object
- - javax.visrec.ml.classification.ClassifierBuilder

    public abstract class ClassifierBuilder
    extends Object

Builder to create @{link Classifier}

Since:
  1.0
Author:
  Kevin Berendsen

### Constructor Summary

Constructors
`protected` `ClassifierBuilder()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`<T> Classifier<T,String>` `buildWithSourceType(Class<T> sourceCls)` Create the `Classifier` that is able to use `sourceClss` as input/source type and `String` as default return type of the `Classifier`
`abstract <T,R> Classifier<T,R>` `buildWithSourceType(Class<T> sourceCls, Class<R> returnCls)` Create the `Classifier` that is able to use `sourceClss` as input/source type and `returnCls` as return type of the `Classifier`
`static ClassifierBuilder` `newBuilder()` Creates a new instance of the builder.
`abstract ClassifierBuilder` `trainedModel(Object trainedModel)` Set the trained model to be used during the image classification.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassifierBuilder

    protected ClassifierBuilder()

### Method Detail

#### newBuilder

    public static ClassifierBuilder newBuilder()

Creates a new instance of the builder.

Returns:
  the builder

#### trainedModel

    public abstract ClassifierBuilder trainedModel(Object trainedModel)

Set the trained model to be used during the image classification. TODO Add the proper class to the method signature.

Parameters:
  `trainedModel` - the object of the trained model.
Returns:
  current builder instance

#### buildWithSourceType

    public abstract <T,R> Classifier<T,R> buildWithSourceType(Class<T> sourceCls,
                                                              Class<R> returnCls)

Create the `Classifier` that is able to use `sourceClss` as input/source type and `returnCls` as return type of the `Classifier`

Type Parameters:
  `T` - source type class of the `Classifier`
  `R` - return type class of the `Classifier`
Parameters:
  `sourceCls` - `Class` object of the incoming input/source.
  `returnCls` - `Class` object of the return type of the `Classifier`
Returns:
  `Classifier` object.

#### buildWithSourceType

    public final <T> Classifier<T,String> buildWithSourceType(Class<T> sourceCls)

Create the `Classifier` that is able to use `sourceClss` as input/source type and `String` as default return type of the `Classifier`

Type Parameters:
  `T` - source type class of the `Classifier`
Parameters:
  `sourceCls` - `Class` object of the incoming input/source.
Returns:
  `Classifier` object.